> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get security export destination health

> List sanitized security export destinations and inspect bounded delivery health without accessing sink credentials or changing delivery state.



## OpenAPI

````yaml /openapi/forge-api.yaml get /api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId}/health
openapi: 3.0.3
info:
  title: Forge API
  version: 0.1.0
  description: >-
    Automate Forge inventory, investigations, findings, governance, fleet,
    policy, configuration, compliance, MCP, service-account, and audit
    workflows.
servers:
  - url: https://api.forge.ai
    description: Forge production API
security:
  - serviceAccountBearer: []
tags:
  - name: approvals
    description: MCP approvals
  - name: audit
    description: Audit
  - name: capabilities
    description: Capabilities
  - name: compliance
    description: Compliance
  - name: findings
    description: Findings
  - name: fleet
    description: Fleet
  - name: governance
    description: Governance
  - name: inventory
    description: Inventory
  - name: investigation
    description: Investigations
  - name: managed-config
    description: Managed configuration
  - name: mcp
    description: MCP sessions
  - name: mcp-registry
    description: MCP and skill registry
  - name: operations
    description: operations
  - name: policies
    description: Policies and violations
  - name: service-accounts
    description: Service accounts
  - name: settings
    description: Automation settings
paths:
  /api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId}/health:
    get:
      tags:
        - operations
      summary: Get security export destination health
      description: >-
        List sanitized security export destinations and inspect bounded delivery
        health without accessing sink credentials or changing delivery state.
      operationId: getHeadlessSecurityExportDestinationHealth
      parameters:
        - $ref: '#/components/parameters/OrganizationId'
        - $ref: '#/components/parameters/SecurityExportDestinationId'
      responses:
        '200':
          description: >-
            Bounded delivery cursors, replay jobs, attempts, and dead-letter
            health for one destination.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HeadlessSecurityExportDestinationHealth'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
components:
  parameters:
    OrganizationId:
      name: organizationId
      in: path
      required: true
      schema:
        type: string
    SecurityExportDestinationId:
      name: destinationId
      in: path
      required: true
      schema:
        type: string
  schemas:
    HeadlessSecurityExportDestinationHealth:
      type: object
      additionalProperties: false
      required:
        - destinationId
        - status
        - lookbackDays
        - lookbackCaughtUp
        - cursors
        - replayJobs
        - recentBatchAttempts
        - deadLetters
        - deadLetterCount
      properties:
        destinationId:
          type: string
        status:
          type: string
          enum:
            - active
            - paused
            - unhealthy
        lookbackDays:
          type: integer
        lookbackCaughtUp:
          type: boolean
        oldestUndeliveredAt:
          type: string
          format: date-time
        cursors:
          type: array
          items:
            $ref: '#/components/schemas/HeadlessSecurityExportCursorHealth'
        replayJobs:
          type: array
          maxItems: 10
          items:
            $ref: '#/components/schemas/HeadlessSecurityExportHealthRecord'
        recentBatchAttempts:
          type: array
          maxItems: 25
          items:
            $ref: '#/components/schemas/HeadlessSecurityExportHealthRecord'
        deadLetters:
          type: array
          maxItems: 100
          items:
            $ref: '#/components/schemas/HeadlessSecurityExportHealthRecord'
        deadLetterCount:
          type: integer
        optimizationEstimate:
          $ref: '#/components/schemas/HeadlessSecurityExportHealthRecord'
    HeadlessSecurityExportCursorHealth:
      type: object
      additionalProperties: false
      required:
        - category
        - deliveredEvents
        - deliveredBytes
        - skippedEvents
      properties:
        category:
          type: string
        cursorOccurredAt:
          type: string
          format: date-time
        cursorStableId:
          type: string
        lastDeliveredAt:
          type: string
          format: date-time
        deliveredEvents:
          type: integer
          format: int64
        deliveredBytes:
          type: integer
          format: int64
        skippedEvents:
          type: integer
          format: int64
    HeadlessSecurityExportHealthRecord:
      type: object
      description: >-
        Sanitized bounded delivery-health record. Provider errors are redacted
        and internal payload references are omitted by the server.
      additionalProperties: true
    MessageResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
  responses:
    Error:
      description: Stable Forge error envelope.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MessageResponse'
  securitySchemes:
    serviceAccountBearer:
      type: http
      scheme: bearer
      bearerFormat: Forge service-account or delegated OAuth access token
      description: >-
        Enter a Forge service-account token or delegated OAuth access token.
        Mintlify adds the Bearer prefix.

````